# $Revision: 1.18 $, $Date: 2004/05/07 00:35:14 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	XML
%define	pnam	NamespaceSupport
Summary:	XML::NamespaceSupport perl module
Summary(pl):	Modu perla XML::NamespaceSupport
Name:		perl-%{pdir}-%{pnam}
Version:	1.08
Release:	3
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	81bd5ae772906d0579c10061ed735dc8
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This Perl module offers a simple to process namespaced XML names
(unames) from within any application that may need them. It also helps
maintain a prefix to namespace URI map, and provides a number of basic
checks.

%description -l pl
Ten modu Perla oferuje proste do przetworzenia, uwzgldniajce
przestrzenie nazw, nazwy XML, dostpne z kadej aplikacji, ktra ich
potrzebuje. Pomaga take prowadzi mapowanie prefiksw na przestrzenie
nazw i udostpnia wiele moliwoci podstawowej kontroli poprawnoci.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/XML/NamespaceSupport.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-XML-NamespaceSupport.spec,v $
Revision 1.18  2004/05/07 00:35:14  ankry
- rel. 3

Revision 1.17  2004/05/06 18:01:33  ankry
- fixed perl-devel BR

Revision 1.16  2004/05/05 06:33:14  ankry
- added tests, license fix, cosmetics

Revision 1.15  2003/09/09 10:24:54  ankry
- spaces -> tab

Revision 1.14  2003/08/18 08:09:27  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.13  2003/05/28 13:01:14  malekith
- massive attack: source-md5

Revision 1.12  2003/05/25 06:25:10  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.11  2003/04/11 18:59:42  radek
- BR: perl-devel; do not BR: perl

Revision 1.10  2003/03/01 22:10:36  radek
- should be ready for perl-5.8.0; release++

Revision 1.9  2003/02/24 20:31:59  radek
- use the __perl macro

Revision 1.8  2003/02/18 15:39:14  ankry
- massive attack: change CPAN URLs

Revision 1.7  2002/09/22 15:51:20  kloczek
- (auto)updated to 1.08: "fix" it to follow the latest XML NS Errata barfing around/

Revision 1.6  2002/07/12 09:49:56  qboosh
- new %%doc and cosmetics

Revision 1.5  2002/07/11 08:06:38  depesz
- new version; should work; STBR

Revision 1.4  2002/07/10 09:02:55  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.3  2002/05/11 14:28:14  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.2  2002/04/15 10:23:30  qboosh
- pl descriptions

Revision 1.1  2002/04/14 14:01:25  grabba
- first release
